Package com.treemap.swing.fastvoronoi.originalconvexhull

# Class Vertex

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Vertex

Direct Known Subclasses:
  `ASite`

public class Vertex extends Object
3-dimensional Point with some extra fields for ConvexHull computation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Object`
  `originalObject`
  `double`
  `x`
  `double`
  `y`
  `double`
  `z`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vertex(double x, double y, double z)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `Vertex`
  `crossProduct(Vertex v)`
  `boolean`
  `equals(Object o)`
  `int`
  `getIndex()`
  `ConflictList`
  `getList()`
  `double`
  `getX()`
  `double`
  `getY()`
  `boolean`
  `isHandled()`
  `boolean`
  `linearDependent(Vertex v)`
  `void`
  `negate()`
  `void`
  `setHandled(boolean b)`
  `void`
  `setIndex(int index)`
  `void`
  `setList(ConflictList list)`
  `Vertex`
  `subtract(Vertex v)`
  `Point3d`
  `toPoint3D()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### x

    public double x

  - ### y

    public double y

  - ### z

    public double z

  - ### originalObject

    public Object originalObject

- ## Constructor Details

  - ### Vertex

    public Vertex(double x, double y, double z)

- ## Method Details

  - ### getList

    public ConflictList getList()

  - ### setList

    public void setList(ConflictList list)

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex(int index)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### linearDependent

    public boolean linearDependent(Vertex v)
    Parameters:
      `v` - Vertex compared to Object
    Returns:
      Whether given Vertex and the Object are linearly dependent

  - ### negate

    public void negate()

  - ### subtract

    public Vertex subtract(Vertex v)

  - ### crossProduct

    public Vertex crossProduct(Vertex v)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setHandled

    public void setHandled(boolean b)

  - ### isHandled

    public boolean isHandled()

  - ### toPoint3D

    public Point3d toPoint3D()

  - ### getX

    public double getX()

  - ### getY

    public double getY()

  - ### clear

    public void clear()